Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class ProcessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xsl.XSLException
                  com.novell.xsl.process.ProcessException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExtensionException

    public class ProcessException

extends XSLException

Exception class for XSLT processing (execution) errors

See Also:
  Serialized Form

Field Summary
`static String` | `ATTRIBUTE_AFTER_CHILD`
`static String` | `ATTRIBUTE_SET_CIRCULAR`
`static String` | `ATTRIBUTE_SET_NOT_FOUND`
`static String` | `CIRCULAR_DEFINITION`
`static String` | `EXPRESSION_ERROR`
`static String` | `INFINITE_LOOP`
`static String` | `INVALID_LANGUAGE`
`static String` | `INVALID_NAME`
`static String` | `INVALID_PARENT`
`static String` | `INVALID_SORT_CASEORDER`
`static String` | `INVALID_SORT_DATATYPE`
`static String` | `INVALID_SORT_ORDER`
`static String` | `INVALID_VALUE`
`static String` | `MESSAGE_TERMINATION`
`static String` | `NO_CURRENT_TEMPLATE_RULE`
`static String` | `NOT_FOUND`
`static String` | `RESULT_HANDLER_ERROR`
`static String` | `UNKNOWN_EXTENSION_ELEMENT`
`static String` | `UNSUPPORTED_SORT_DATATYPE`

Fields inherited from class com.novell.xsl.XSLException
`ERROR_PROLOGUE, INVALID_RESULT_HANDLER, STYLESHEET_PARM_ERROR, WARNING_PROLOGUE`

Constructor Summary
`ProcessException(String key)` Construct an instance based on a message format string with no parameters
`ProcessException(String key, Object[] parms)` Construct an instance based on a message format string with n parameters
`ProcessException(String key, String parm0)` Construct an instance based on a message format string with one parameter
`ProcessException(String key, String parm0, String parm1)` Construct an instance based on a message format string with two parameters

Method Summary
`static String` | `constructMessage(String key, Object[] parms)` Construct a message from a format message in the properties file and an array of parameters

Methods inherited from class com.novell.xsl.XSLException
`isError`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_CURRENT_TEMPLATE_RULE

    public static final String NO_CURRENT_TEMPLATE_RULE

See Also:
  Constant Field Values

### EXPRESSION_ERROR

    public static final String EXPRESSION_ERROR

See Also:
  Constant Field Values

### ATTRIBUTE_SET_CIRCULAR

    public static final String ATTRIBUTE_SET_CIRCULAR

See Also:
  Constant Field Values

### ATTRIBUTE_SET_NOT_FOUND

    public static final String ATTRIBUTE_SET_NOT_FOUND

See Also:
  Constant Field Values

### INVALID_NAME

    public static final String INVALID_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_AFTER_CHILD

    public static final String ATTRIBUTE_AFTER_CHILD

See Also:
  Constant Field Values

### INVALID_PARENT

    public static final String INVALID_PARENT

See Also:
  Constant Field Values

### RESULT_HANDLER_ERROR

    public static final String RESULT_HANDLER_ERROR

See Also:
  Constant Field Values

### NOT_FOUND

    public static final String NOT_FOUND

See Also:
  Constant Field Values

### INVALID_VALUE

    public static final String INVALID_VALUE

See Also:
  Constant Field Values

### MESSAGE_TERMINATION

    public static final String MESSAGE_TERMINATION

See Also:
  Constant Field Values

### INFINITE_LOOP

    public static final String INFINITE_LOOP

See Also:
  Constant Field Values

### CIRCULAR_DEFINITION

    public static final String CIRCULAR_DEFINITION

See Also:
  Constant Field Values

### INVALID_SORT_ORDER

    public static final String INVALID_SORT_ORDER

See Also:
  Constant Field Values

### INVALID_SORT_DATATYPE

    public static final String INVALID_SORT_DATATYPE

See Also:
  Constant Field Values

### INVALID_SORT_CASEORDER

    public static final String INVALID_SORT_CASEORDER

See Also:
  Constant Field Values

### UNKNOWN_EXTENSION_ELEMENT

    public static final String UNKNOWN_EXTENSION_ELEMENT

See Also:
  Constant Field Values

### INVALID_LANGUAGE

    public static final String INVALID_LANGUAGE

See Also:
  Constant Field Values

### UNSUPPORTED_SORT_DATATYPE

    public static final String UNSUPPORTED_SORT_DATATYPE

See Also:
  Constant Field Values

Constructor Detail

### ProcessException

    public ProcessException(String key)

  Construct an instance based on a message format string with no parameters

  Parameters:
    `key` - The key of the message format string in the properties file

### ProcessException

    public ProcessException(String key,
                            String parm0)

  Construct an instance based on a message format string with one parameter

  Parameters:
    `key` - The key of the message format string in the properties file
    `parm0` - The first parameter for the message format string

### ProcessException

    public ProcessException(String key,
                            String parm0,
                            String parm1)

  Construct an instance based on a message format string with two parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parm0` - The first parameter for the message format string
    `parm1` - The second parameter for the message format string

### ProcessException

    public ProcessException(String key,
                            Object[] parms)

  Construct an instance based on a message format string with n parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Method Detail

### constructMessage

    public static String constructMessage(String key,
                                          Object[] parms)

  Construct a message from a format message in the properties file and an array of parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD